%define ver_major 4.3

Name: gcalctool
Version: %ver_major.3
Release: alt1

Summary: gcalctool - GTK2 based desktop calculator
License: GPL
Group: Sciences/Mathematics

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define libbonobo_ver 2.4.0
%define gtk_ver 2.2.4
%define scrollkeeper_ver 0.3.12
%define GConf_ver 2.4.0

PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver
Requires: libgtk2 >= %gtk_ver
Requires: libbonobo2 >= %libbonobo_ver

BuildPreReq: libgtk2-devel >= %gtk_ver
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver

# Automatically added by buildreq on Wed Aug 27 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

BuildRequires: gnome-common >= 1.2.4-alt3

%description
This package provides gcalctool, the calculator application that was
previously in the OpenWindows Deskset of the Solaris 8 operating system.

It incorporates a multiple precision arithmetic packages based on the work
of Professor Richard Brent.

A single graphics driver for GTK2 included with this package.

%prep
%setup -q

%build
%configure --disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# man page
%__install -pD -m644 %name/%name.1 %buildroot%_man1dir/%name.1

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Applications/%group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README TODO MAINTAINERS

%changelog
* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.3-alt1
- 4.3.3

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.2-alt1
- 4.3.2

* Thu Aug 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.0-alt1
- 4.3.0

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.99-alt1
- 4.2.99

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.86-alt1
- new version.

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.83-alt1
- First build for Sisyphus.

